NXOpen.UF.ModlFeatures.CreateBlend

ModlFeatures.CreateBlend()

Refer to UF_MODL_create_blend for documentation.

Signature: CreateBlend(radius, edgeList, smoothOverflow, cliffOverflow, notchOverflow, vrbTool)

Parameters:
  • radius (str) – Blend radius
  • edgeList (NXOpen.UF.UF.List Refer to ` <../ugopen_doc/uf/.html>`_ for documentation.) – List of edges to blend
  • smoothOverflow (int) – Smooth overflow/prevent flag: 0 = Allow this type of blend 1 = Prevent this type of blend
  • cliffOverflow (int) – Cliffedge overflow/prevent flag: 0 = Allow this type of blend 1 = Prevent this type of blend
  • notchOverflow (int) – Notch overflow/prevent flag: 0 = Allow this type of blend 1 = Prevent this type of blend
  • vrbTool (float) – Variable radius blend tolerance
Returns:

Feature object identifier of created blend

Return type:

Tag

License requirements: SOLIDS MODELING